/* $Id: md5_global.h,v 1.2 2020/05/13 05:11:21 hurtta Exp $ */

/******************************************************************************
 *  The Elm (ME+) Mail System  -  $Revision: 1.2 $   $State: Exp $
 *
 *  Modified by: Kari Hurtta <hurtta+elm@siilo.FMI.FI>
 *           or  Kari Hurtta <elm@elmme-mailer.org>
 *****************************************************************************
 * Derived from the RSA Data Security, Inc. MD5 Message-Digest Algorithm
 *****************************************************************************/

/* GLOBAL.H - RSAREF types and constants
 */

/* PROTOTYPES should be set to one if and only if the compiler supports
  function argument prototyping.
The following makes PROTOTYPES default to 0 if it has not already
  been defined with C compiler flags.
 */
#ifndef PROTOTYPES
#if ANSI_C
#define PROTOTYPES 1
#else
#define PROTOTYPES 0
#endif
#endif

/* POINTER defines a generic pointer type */
typedef unsigned char *POINTER;

/* Use hdrs/elm_defs.h definations */

/* UINT2 defines a two byte word */
typedef uint16  UINT2;

/* UINT4 defines a four byte word */
typedef uint32  UINT4;

/* PROTO_LIST is defined depending on how PROTOTYPES is defined above.
If using PROTOTYPES, then PROTO_LIST returns the list, otherwise it
  returns an empty list.
 */
#if PROTOTYPES
#define PROTO_LIST(list) list
#else
#define PROTO_LIST(list) ()
#endif


/*
 * Local Variables:
 *  mode:c
 *  c-basic-offset:4
 *  buffer-file-coding-system: iso-8859-1
 * End:
 */
